[package]
name = "opentally"
version = "0.1.0"
authors = ["Lee Yingtong Li <runassudo@yingtongli.me>"]
edition = "2018"

[lib]
crate-type = ["lib", "cdylib"]

[dependencies]
git-version = "0.3.4"
num-traits = "0.2"
wasm-bindgen = "0.2.74"

# Only for WebAssembly - include here for syntax highlighting
console_error_panic_hook = "0.1.6"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies]
csv = "1.1.6"
flate2 = "1.0"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.rug]
version = "1.12"
default-features = false
features = ["integer", "rational", "float"]

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.clap]
#version = "3.0.0-beta.2" # Bug 2279
git = "https://github.com/clap-rs/clap"
branch = "master"
default-features = false
features = ["std", "derive"]

[profile.test]
opt-level = 3
